package com.hxhq.job.task;

import com.hxhq.system.api.RemoteUserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.hxhq.common.core.utils.StringUtils;

/**
 * 定时任务调度测试
 *
 * @author hxhq
 */
@Component("ryTask")
public class RyTask
{
    protected Logger logger = LoggerFactory.getLogger(getClass());
    @Autowired
    private RemoteUserService remoteUserService;


    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }

    public void testJob()
    {
        System.out.println("testJob");
        remoteUserService.testFeign();
    }

    /**
     * 到期自动归还试验
     */
    public void autoGhStudy()
    {
        remoteUserService.autoGhStudy();
    }

    /**
     * 到期自动归还试剂
     */
    public void autoGhSj()
    {
        remoteUserService.autoGhSj();
    }

    /**
     * 到期自动归还供试品
     */
    public void autoGhGsp()
    {
        remoteUserService.autoGhGsp();
    }

    /**
     * 到期自动归还供试品发放记录
     */
    public void autoGhGspFfjl()
    {
        remoteUserService.autoGhGspFfjl();
    }

    /**
     * 到期自动归还供试品入库记录
     */
    public void autoGhGspRkjl()
    {
        remoteUserService.autoGhGspRkjl();
    }
}
